// PDErrorCodes.h
//

#ifndef _PC_PDERRORCODES_H
#define _PC_PDERRORCODES_H

// Liste mit Fehlercodes

// 100XXX - Allgemeine Fehler
#define PDERROR_GENERAL				100000
#define PDERROR_UNKNOWN				100001

// 200XXX - 

// 300XXX - Speicherfehler
#define PDERROR_MEMORY				300000
#define PDERROR_OUTOFMEMORY			300001

// 400XXX - Dateifehler
#define PDERROR_FILE				400000
#define PDERROR_FILENOTFOUND		400001
#define PDERROR_WRONGFILECONTENT	400002

// 500XXX - DirectX-Fehler
#define PDERROR_DIRECTX				500000
#define PDERROR_DIRECTXINIT			500001
#define PDERROR_DXSPRITEINIT		500002
#define PDERROR_DXTEXTINIT			500003

// 600XXX - DirectInput-Fehler
#define PDERROR_DINPUT				600000
#define PDERROR_DINPUTINIT			600001
#define PDERROR_DINPUTKEYBOARDINIT	600002
#define PDERROR_DINPUTGETKEYSTATE	600003

// 700XXX - DirectSound-Fehler
#define PDERROR_DSOUND				700000

// 800XXX - PhysX-Fehler
#define PDERROR_PHYSX				800000
#define PDERROR_PHYSXINIT			800001

#endif