// PursuitCore.h
//

#ifndef _PC_PURSUITCORE_H
#define _PC_PURSUITCORE_H

#ifdef PURSUITCORE_EXPORTS
#define PCORE_API __declspec(dllexport)
#else
#define PCORE_API __declspec(dllimport)
#endif

#define NOMINMAX

// Windows
#include <stdio.h>
#include <sys\\stat.h>
#include <shlobj.h>
#include <direct.h>
#include <math.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dxerr.h>

// PhysX
#include <Nx.h>
#include <NxPhysics.h>

// PursuitCore
#include "PCErrors.h"
#include "PCHelpers.h"
#include "PCSettings.h"

#endif