// PursuitRender.h
//

#ifndef _PR_PURSUITRENDER_H
#define _PR_PURSUITRENDER_H

#ifdef PURSUITRENDER_EXPORTS
#define PRENDER_API __declspec(dllexport)
#else
#define PRENDER_API __declspec(dllimport)
#endif

#define NOMINMAX

// Windows
#include <stdio.h>
#include <math.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dxerr.h>

// PursuitDrift Libraries
#include "..\\PursuitCore\\PursuitCore.h"
#include "..\\PursuitInput\\PursuitInput.h"
#include "..\\PursuitGame\\PursuitGame.h"

// PursuitDrift Render-Library
#include "PRDxDevice.h"
#include "PRText.h"
#include "PRCamera.h"
#include "PRBaseScreen.h"
#include "PRScreenIntro.h"
#include "PRScreenManager.h"
//#include "PRDebugRender.h"
#include "PRLoadScreen.h"
#include "PRGameMenu.h"

#endif