// PCErrors.cpp
//

#include "PursuitCore.h"

PCORE_API void PCErrorDX(HRESULT hr, const char* message)
{
	char errmsg[1024];
	sprintf_s(errmsg, 1024, "%s\n\nBeschreibung: %s\nFehlercode: %d (%s)", message, DXGetErrorDescription(hr), hr, DXGetErrorString(hr));

	MessageBox(NULL, errmsg, TEXT("DirectX-Fehler!"), MB_ICONERROR);
}

PCORE_API void PCErrorNx(NxErrorCode errcode, const char* message)
{
	char errmsg[1024];
	sprintf_s(errmsg, 1024, "%s\n\nBeschreibung: %s\nFehlercode: %d (%s)", message, "", (int)errcode, "");

	MessageBox(NULL, errmsg, TEXT("PhysX-Fehler!"), MB_ICONERROR);
}

PCORE_API void PCErrorNxSDKCreate(NxSDKCreateError errcode, const char* message)
{
	char errmsg[1024];
	sprintf_s(errmsg, 1024, "%s\n\nBeschreibung: %s\nFehlercode: %d (%s)", message, "", (int)errcode, "");

	MessageBox(NULL, errmsg, TEXT("PhysX-Fehler!"), MB_ICONERROR);
}