// PCErrors.h
//

// Rckgabewert fr Funktionen
typedef long PDRESULT;

// Vorgaben fr Rckgabewerte
#define PD_OK 0

// Vergleichsfunktionen fr PDRESULT
#define PDSUCCESS(pdr) (pdr == 0)
#define PDFAILED(pdr) (pdr != 0)

// Fehlercodes
#include "PDErrorCodes.h"

PCORE_API void PCErrorDX(HRESULT hr, const char* message = "Es ist ein Fehler aufgetreten!");
PCORE_API void PCErrorNx(NxErrorCode errcode, const char* message = "Es ist ein Fehler aufgetreten!");
PCORE_API void PCErrorNxSDKCreate(NxSDKCreateError errcode, const char* message = "Es ist ein Fehler aufgetreten!");