// PCSettings.h
//

#ifndef _PC_SETTINGS_H
#define _PC_SETTINGS_H

struct PCORE_API PCSettings
{
	// Fenster
	BOOL fullscreen;

	// DirectX
	int adapterno;
	int modeno;
	D3DDEVTYPE devicetype;
	D3DMULTISAMPLE_TYPE multisampletype;
	DWORD multisamplequality;
	DWORD deviceflags;
};

PCORE_API void PCLoadSettings(PCSettings* settings);
PCORE_API void PCSaveSettings(PCSettings settings);
PCORE_API char* PCGetPursuitDriftPath(void);
PCORE_API char* PCGetSettingsFilePath(void);

#endif