// PursuitDrift.h
//

#ifndef _PD_PURSUITDRIFT_H
#define _PD_PURSUITDRIFT_H

#define NOMINMAX

#ifdef _DEBUG
#define D3D_DEBUG_INFO
#endif

// Windows
#include <stdio.h>
#include <math.h>
#include <time.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dxerr.h>

// PhysX
#include <Nx.h>
#include <NxPhysics.h>

// PursuitDrift Libraries
#include "..\\PursuitCore\\PursuitCore.h"
#include "..\\PursuitInput\\PursuitInput.h"
#include "..\\PursuitRender\\PursuitRender.h"
#include "..\\PursuitGUI\\PursuitGUI.h"
#include "..\\PursuitPhysics\\PursuitPhysics.h"

// PursuitDrift
#include "render.h"
#include "update.h"
#include "main.h"

#endif