// PursuitUI.h
//

#ifndef _PG_PURSUITGUI_H
#define _PG_PURSUITGUI_H

#ifdef PURSUITGUI_EXPORTS
#define PGUI_API __declspec(dllexport)
#else
#define PGUI_API __declspec(dllimport)
#endif

#define NOMINMAX
#define DIRECTINPUT_VERSION 0x0800

// Windows
#include <stdio.h>
#include <math.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dinput.h>
#include <dxerr.h>

// PursuitDrift Libraries
#include "..\\PursuitCore\\PursuitCore.h"

// PursuitGUI
#include "PGMessageLoop.h"
#include "PGButton.h"

#endif