// PursuitInput.h
//

#ifndef _PI_PURSUITINPUT_H
#define _PI_PURSUITINPUT_H

#ifdef PURSUITINPUT_EXPORTS
#define PINPUT_API __declspec(dllexport)
#else
#define PINPUT_API __declspec(dllimport)
#endif

#define NOMINMAX
#define DIRECTINPUT_VERSION 0x0800

// Windows
#include <stdio.h>
#include <math.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dinput.h>
#include <dxerr.h>

// PursuitDrift Libraries
#include "..\\PursuitCore\\PursuitCore.h"

// PursuitInput
#include "PIKeyboard.h"

extern LPDIRECTINPUT8 PI_DInput;

PINPUT_API PDRESULT PIInit(HWND hWnd, PCSettings settings);
PINPUT_API void PIRelease(void);

#endif