// PursuitPhysics.h
//

#ifndef _PP_PURSUITPHYSICS_H
#define _PP_PURSUITPHYSICS_H

#ifdef PURSUITPHYSICS_EXPORTS
#define PPHYSICS_API __declspec(dllexport)
#else
#define PPHYSICS_API __declspec(dllimport)
#endif

#define NOMINMAX

// Windows
#include <stdio.h>
#include <math.h>
#include <windows.h>

// DirectX 9.0c
#include <d3d9.h>
#include <d3dx9.h>
#include <dxerr.h>

// PhysX
#include <Nx.h>
#include <NxPhysics.h>

// PursuitDrift Libraries
#include "..\\PursuitCore\\PursuitCore.h"

// PursuitPhysics


// PursuitPhysics.cpp
extern NxPhysicsSDK* PP_PhysxSDK;
extern NxScene* PP_PhysxScene;

PPHYSICS_API PDRESULT PPInitPhysics(PCSettings settings);
PPHYSICS_API void PPReleasePhysics(void);

#endif