// PRLoadScreen.h
//

#include "PursuitRender.h"

PRLoadScreen::PRLoadScreen(LoadFunction func)
{
	loadfunc = func;
}

PRLoadScreen::~PRLoadScreen(void)
{
}

void PRLoadScreen::Start(void)
{
	hThread = CreateThread(NULL, 0, loadfunc, this, 0, &dwThread);
	SetThreadPriority(hThread, THREAD_PRIORITY_ABOVE_NORMAL);
}

void PRLoadScreen::Cancel(void)
{
	TerminateThread(hThread, 1);
}

void PRLoadScreen::SetPercent(int _percent)
{
	percent = _percent;
}

int PRLoadScreen::GetPercent(void)
{
	return percent;
}

void PRLoadScreen::Render(float dt)
{
	char text[256];
	sprintf_s(text, 256, "Ld... (%d%%)", GetPercent());
	PRDrawText(text, 100, 100, D3DCOLOR_XRGB(255, 255, 255));
}