// PRLoadScreen.h
//

#ifndef _PR_LOADSCREEN_H
#define _PR_LOADSCREEN_H

typedef DWORD (CALLBACK* LoadFunction)(LPVOID);

class PRENDER_API PRLoadScreen
{
public:
	PRLoadScreen(LoadFunction func);
	~PRLoadScreen(void);


	void Start(void);

	void SetPercent(int _percent);
	int GetPercent(void);

	void Cancel(void);

	void Render(float dt);
	
private:
	DWORD dwThread;
	HANDLE hThread;
	int percent;
	LoadFunction loadfunc;
};

#endif
