// PRScreenManager.cpp
//

#include "PursuitRender.h"

PGGameState currentScreen;
PRBaseScreen currentScreenClass;
PRScreenIntro screen_intro;

PRENDER_API void PRSMInit(void)
{
	screen_intro = PRScreenIntro();

	PRSMSelectScreen(PGGS_INTRO);
}

PRENDER_API void PRSMRender(float deltatime)
{
	currentScreenClass.Render(deltatime);
}

PRENDER_API PRBaseScreen PRSMGetScreenClass(PGGameState state)
{
	switch (state)
	{
	case PGGS_INTRO:
		return screen_intro;
	default:
		return PRBaseScreen();
	}
}

PRENDER_API void PRSMSelectScreen(PGGameState state)
{
	currentScreen = state;
	currentScreenClass = PRSMGetScreenClass(currentScreen);
}