﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;
using PursuitDrift.Interfaces;
using PursuitDrift.Interfaces.GameObjects;

namespace PursuitDrift.GameObjects
{
    public abstract class GameObject : DrawableGameComponent, IGameObject
    {
        private readonly IPursuitDriftGame _baseGame;

        protected GameObject(Game game, IPursuitDriftGame baseGame)
            : base(game)
        {
            this._baseGame = baseGame;
        }

        public IPursuitDriftGame BaseGame
        {
            get { return _baseGame; }
        }
    }
}
