using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using PursuitDrift.Interfaces.GameObjects;

namespace PursuitDrift.Interfaces
{
    public interface IPursuitDriftGame
    {
        SpriteBatch SpriteBatch { get; }
        GraphicsDeviceManager DeviceManager { get; }

        SpriteFont GameFont { get; }
        SpriteFont DebugFont { get; }
        ICamera Camera { get; }
    }
}